import os

import pygame
import ode
#import math
from pygame.locals import *
from data import *

import random
import asteroids

from globalvars import *
from pgu import engine
from pgu import timer
from pgu import gui

class NavUI(engine.State):
	#Free-flight stuff goes in this class
	
	def __init__(self, game):
		self.game = game
		
	def coord(self,x,y):
    		# Convert world coordinates to pixel coordinates.
    		return 320+170*x, 400-170*y
		
	def init(self):
		
		
		self.mines = []
		self.buttons = {} #button name/value, clicked-on state
		self.buttonData = []
		
		#goBtn = pygame.image.load(os.path.join("data","images", "go-button.png")).convert()
		#goBtnRect = pygame.Rect(5,10,self.goButton.get_width(),self.goButton.get_height())
		
		##self.buttonData["Button Name"] = [buttonRectangle, button image, buttonPos, button State]
		#self.buttonData['Go!'] = [goBtnRect, goBtn, 
		#self.buttons.append( (self.goButton, (5,10)) )
		
		#look at melons' trampoline file to make a class for the buttons
		
		#self.background = pygame.image.load(os.path.join("data","images", "navigation-background.png")).convert()
		
	def loop(self):
		pass			
	
	def update(self,screen):
		return self.paint(screen)
	
	def paint(self,screen):
		screen.fill((0,0,0))
		#screen.blit(self.background, (0,223))
		#for button in self.buttons:
			#screen.blit(button[0], button[1])
		
		#mineAsteroidsButton = self.addButton("Mine asteroids")
		
		#screen.blit(mineAsteroidsButton[0],mineAsteroidsButton[1])
		
		#pygame.display.update(tmpRects)
		pygame.display.update()
	
	def event(self,e):
		if e.type == KEYDOWN:
			if e.key == K_ESCAPE:
				import menu
				return menu.Menu(self.game)
		
		elif e.type == KEYUP:
			if e.key == K_LEFT:
				pass
			elif e.key == K_RIGHT:
				pass
			
		elif e.type == MOUSEMOTION:
			pass
			#for rect in self.buttonData:
				#if rect[0].collidepoint(e.pos):
					
		
		if e.type == MOUSEBUTTONDOWN:
			pass
			#if self.buttons["mine"] == True:
				#self.buttons["mine"] = False
				#return asteroids.Game(self.game)
				
class Button(pygame.sprite.Sprite):
	def __init__(self, game, image, rect, pos, state):
		self.game = game
		self.image = image
		self.rect = rect
		self.pos = pos
		self.state = state
		
		pygame.sprite.Sprite.__init__(self) #call Sprite initializer
		
		self.image = loadImage(self.image)
	
	
		